Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/useredit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $error_msg = false
| $error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )
if(isset( $_POST['DeleteUsers'])) if(isset( $_POST['Back'])) | $currentUser = eZUser::currentUser()
if( $Action=="DeleteUsers") | $t
if( $Action=="new") | $ActionValue = "insert"
if( $Action=="update") | $headline = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )
| $group = new eZUserGroup()
| $groupList = $group->getAll()
| $user = 0
if( $Action=="edit") | else
| $Email = false
| $FirstName = false
| $LastName = false
| $Signature = false
| $SimultaneousLogins = false
| $InfoSubscription = false
| $Phone = htmlspecialchars( $Phone )
| $Login = htmlspecialchars( $Login )
| $AccountNumber = htmlspecialchars( $AccountNumber )
| $mainGroup = $user->groupDefinition()
| $groupArray = $user->groups()

## Variable Documentation

## ◆ $AccountNumber

$AccountNumber = htmlspecialchars( $AccountNumber )

Definition at line 446 of file admin/useredit.php.

## ◆ $ActionValue

if ($Action=="new") $ActionValue = "insert"

Definition at line 358 of file admin/useredit.php.

## ◆ $currentUser

if (isset($_POST[ 'UserID']) &&$_POST[ 'UserID'] !='') if ($Action=="insert") if ($Action=="update") if ($Action=="delete") $currentUser = eZUser::currentUser()

Definition at line 56 of file admin/useredit.php.

## ◆ $Email

$Email = false

Definition at line 414 of file admin/useredit.php.

Referenced by send_email().

## ◆ $error

$error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )

Definition at line 34 of file admin/useredit.php.

## ◆ $error_msg

$error_msg = false

Definition at line 33 of file admin/useredit.php.

## ◆ $FirstName

$FirstName = false

Definition at line 415 of file admin/useredit.php.

## ◆ $group

$group = new eZUserGroup()

Definition at line 368 of file admin/useredit.php.

## ◆ $groupArray

$groupArray = $user->groups()

Definition at line 452 of file admin/useredit.php.

Referenced by eZPermission\checkPermission().

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 370 of file admin/useredit.php.

## ◆ $headline

if ($Action=="update") $headline = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )

Definition at line 365 of file admin/useredit.php.

## ◆ $InfoSubscription

$InfoSubscription = false

Definition at line 419 of file admin/useredit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file admin/useredit.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 32 of file admin/useredit.php.

## ◆ $LastName

$LastName = false

Definition at line 416 of file admin/useredit.php.

## ◆ $Login

$Login = htmlspecialchars( $Login )

Definition at line 445 of file admin/useredit.php.

## ◆ $mainGroup

$mainGroup = $user->groupDefinition()

Definition at line 451 of file admin/useredit.php.

Referenced by ezpbKernelWeb\run().

## ◆ $Phone

$Phone = htmlspecialchars( $Phone )

Definition at line 443 of file admin/useredit.php.

## ◆ $Signature

$Signature = false

Definition at line 417 of file admin/useredit.php.

## ◆ $SimultaneousLogins

$SimultaneousLogins = false

Definition at line 418 of file admin/useredit.php.

## ◆ $t

if ($Action=="DeleteUsers") $t

Initial value:
= new eZTemplate( "kernel/ezuser/admin/" . $ini->variable( "eZUserMain", "AdminTemplateDir" ),
"kernel/ezuser/admin/" . "/intl", $Language, "useredit.php" )
$Language
$Language
Definition: admin/useredit.php:32
$ini
$ini
Definition: admin/useredit.php:31
eZTemplate
Definition: eztemplate.php:107

Definition at line 334 of file admin/useredit.php.

## ◆ $user

$user = 0

Definition at line 373 of file admin/useredit.php.

## ◆ else

if ($Action=="edit") else

Initial value:
{
$Login = false
$Login
$Login
Definition: admin/useredit.php:445

Definition at line 411 of file admin/useredit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.